## Modules

<dl>
<dt><a href="#module_api-connector">api-connector</a></dt>
<dd><p>Contains a wrapper for HTTP requests</p>
<p><code>const api = require(&#39;nov-nodejs-core-util&#39;);</code></p>
</dd>
<dt><a href="#module_util">util</a></dt>
<dd><p>A module containing common javascript util methods</p>
<p><code>const util = require(&#39;nov-nodejs-core-util&#39;);</code></p>
</dd>
</dl>

<a name="module_api-connector"></a>

## api-connector
Contains a wrapper for HTTP requests

`const api = require('nov-nodejs-core-util');`

<a name="module_api-connector.api_connector"></a>

### api-connector.api\_connector()
TODO: complete the documentation

**Kind**: static method of [<code>api-connector</code>](#module_api-connector)  
<a name="module_util"></a>

## util
A module containing common javascript util methods

`const util = require('nov-nodejs-core-util');`


* [util](#module_util)
    * [.to_base64(input)](#module_util.to_base64) ⇒ <code>string</code>
    * [.json_to_xml(json, rootElement)](#module_util.json_to_xml) ⇒ <code>string</code>
    * [.xml_to_json(xml)](#module_util.xml_to_json) ⇒ <code>string</code>

<a name="module_util.to_base64"></a>

### util.to\_base64(input) ⇒ <code>string</code>
Converts any `object` to base64 string representation

**Kind**: static method of [<code>util</code>](#module_util)  
**Returns**: <code>string</code> - Base64 string representation of the input  

| Param | Type | Description |
| --- | --- | --- |
| input | <code>object</code> \| <code>string</code> | Input reqired to be converted to base64 |

**Example**  
```js
// returns dGVzdA==
const util = require('nov-nodejs-core-util');
util.to_base64('test');
```
<a name="module_util.json_to_xml"></a>

### util.json\_to\_xml(json, rootElement) ⇒ <code>string</code>
Converts a js object or valid JSON string to xml

**Kind**: static method of [<code>util</code>](#module_util)  
**Returns**: <code>string</code> - xml representation of the input JSON string or js object  

| Param | Type | Description |
| --- | --- | --- |
| json | <code>object</code> \| <code>string</code> | Javascript object or JSON string |
| rootElement | <code>string</code> | Optional string to provide as the root element |

**Example**  
```js
// returns <?xml version='1.0'?>
//         <root>
//           <test>1</test>
//         </root>
const util = require('nov-nodejs-core-util');
util.json_to_xml({ test: 1 }, 'root');
```
<a name="module_util.xml_to_json"></a>

### util.xml\_to\_json(xml) ⇒ <code>string</code>
Converts a XML string to a JSON string

**Kind**: static method of [<code>util</code>](#module_util)  
**Returns**: <code>string</code> - JSON string representation of the xml input  

| Param | Type | Description |
| --- | --- | --- |
| xml | <code>string</code> | XML string |

**Example**  
```js
// returns "{\"x\":{\"test\":{\"_text\":\"1\"}}}"
const util = require('nov-nodejs-core-util');
util.xml_to_json("<x><test>1</test></x>");
```
